gnb_id: 411
gnb_id_bit_length: 32

amf:
  addr: 10.53.1.2                  # The address of the AMF. Check Open5GS config -> amf -> ngap -> addr
  bind_addr: 10.53.1.1             # A local IP that the gNB binds to for traffic from the AMF.

ru_sdr:
  device_driver: uhd
  device_args: type=x300
  tx_gain: 20
  rx_gain: 15
  srate: 92.16
  lo_offset: 45
  clock: internal
  sync: internal
  time_alignment_calibration: 0

cell_cfg:
  dl_arfcn: 632628
  band: 78
  channel_bandwidth_MHz: 20
  common_scs: 30
  nof_antennas_dl: 1
  nof_antennas_ul: 1
  plmn: "00101"
  tac: 7

cells:
  -
    pci: 1
    prach:
      prach_root_sequence_index: 0
  -
    pci: 2
    prach:
      prach_root_sequence_index: 64

cu_cp:
  mobility:
    trigger_handover_from_measurements: true
    cells:
      - nr_cell_id: 0x19B0
        periodic_report_cfg_id: 1
        ncells:
          - nr_cell_id: 0x19B1
            report_configs: [ 1 ]
      - nr_cell_id: 0x19B1
        periodic_report_cfg_id: 1
        ncells:
          - nr_cell_id: 0x19B0
            report_configs: [ 1 ]
    report_configs:
      - report_cfg_id: 1
        report_type: periodical
        report_interval_ms: 480
      - report_cfg_id: 2
        report_type: event_triggered
        a3_report_type: rsrp
        a3_offset_db: 3
        a3_hysteresis_db: 0
        a3_time_to_trigger_ms: 100

log:
  all_level: warning
  rrc_level: debug

pcap:
  mac_enable: true
  mac_filename: /tmp/gnb_mac.pcap
  ngap_enable: true
  ngap_filename: /tmp/gnb_ngap.pcap
  f1ap_enable: true
  f1ap_filename: /tmp/gnb_f1ap.pcap
  gtpu_enable: true
  gtpu_filename: /tmp/gnb_gtpu.pcap
  e1ap_enable: true
  e1ap_filename: /tmp/gnb_e1ap.pcap